<?php

/**
 * @file
 * Theme functions. This all comes from the Secure Site module (thanks!)
 */

/**
 * Process variables for cookielock-page.tpl.php
 *
 * @param $variables
 *   An array of variables from the theme system.
 */
function template_preprocess_cookielock_page(&$variables) {
  $messages = theme('status_messages');

  // Call Drupal core default page preprocess function to build the variables
  template_preprocess_page($variables);

  // Restore original messages (because template_preprocess_page may not
  // return messages if messages turned off or messages already grabbed)
  $variables['messages'] = $messages;

  // Only use our css file
  $css = array(
    'all' => array(
      'module' => array(
        drupal_get_path('module', 'cookielock') . '/theme/cookielock.css' => TRUE,
      ),
      'theme' => array(),
    ),
  );
  $variables['styles'] = drupal_get_css($css);

  // Remove all scripts
  $variables['scripts'] = drupal_get_js('header', array());
}